@keyframes fadeIn {
	0% {
		opacity: 0;
	}
	100% {
		opacity: 1;
	}
}
.pc {
	font-size: 16px;
	--w: 1300px;
}
.mobile {
	font-size: 14px;
	--w: 100%;
}
/* 头部 */
.pc .layout-header {
	width: 100%;
	height: 70px;
	position: sticky;
	top: 0;
	z-index: 10;
	transition: all 0.2s;
	background-color: #202231;
}
.mobile .layout-header {
	width: 100%;
	height: 44px;
	position: sticky;
	top: 0;
	z-index: 10;
	transition: all 0.2s;
	background-color: #202231;
}

/* 内容 */
body {
	opacity: 0;
}
.layout-body {
	min-height: calc(100vh - 504px);
}
.fadeIn {
	animation: fadeIn 0.5s;
	animation-fill-mode: forwards;
}
/* 浮动 */
.pc .layout-float {
	width: 100px;
	height: 300px;
	position: fixed;
	right: 20px;
	bottom: 80px;
	z-index: 10;
}
.pc .float-wrap {
	display: flex;
	justify-content: flex-start;
	align-items: flex-end;
	flex-direction: column;
}
.pc .float-wrap .btn {
	width: 80px;
	height: 80px;
	cursor: pointer;
}
.pc .float-wrap .btn .img {
	width: 80px;
	height: 80px;
}
.pc .float-wrap .btn .popup-wrap {
	width: 210px;
	min-height: 80px;
	background: #ffffff;
	border-radius: 10px;
	position: absolute;
	right: 100%;
	top: 0;
	display: none;
	justify-content: center;
	align-items: center;
	flex-direction: column;
}
.pc .float-wrap .btn:hover .popup-wrap {
	display: flex;
}
.pc .float-wrap .btn:hover .popup-wrap .qrcode {
	width: 120px;
	height: 120px;
}
.pc .float-wrap .btn .popup-wrap .title{
	width: 100%;
	height: 40px;
	background: #4c54e6;
	border-radius: 10px 10px 0px 0px;
	display: flex;
	justify-content: center;
	align-items: center;
	font-size: 16px;
	color: #ffffff;
}
.pc .float-wrap .btn .popup-wrap .tips{
	font-size: 16px;
	color: #333333;
	margin-bottom: 6px;
}
.pc .float-wrap .btn .popup-wrap .qrcode {
	margin: 10px 0 6px;
}
.pc .float-wrap .btn .popup-wrap .content{
	font-size: 16px;
	color: #333333;
	height: 40px;
	font-weight: bold;
	display: flex;
	justify-content: center;
	align-items: center;
}
.mobile .layout-float {
	width: 50px;
	position: fixed;
	right: 10px;
	bottom: 120px;
	z-index: 2;
}
.mobile .float-wrap {
	display: flex;
	justify-content: flex-start;
	align-items: flex-start;
	flex-direction: column;
}
.mobile .float-wrap .btn {
	width: 50px;
	height: 50px;
}
.mobile .float-wrap .btn .img {
	width: 50px;
	height: 50px;
}
.mobile .float-wrap .btn .popup-wrap {
	width: 210px;
	min-height: 80px;
	background: #ffffff;
	border-radius: 10px;
	position: absolute;
	right: 100%;
	top: 0;
	display: none;
	justify-content: center;
	align-items: center;
	flex-direction: column;
	z-index: 100;
}
.mobile .float-wrap .btn:hover .popup-wrap{
	display: flex;
}
.mobile .float-wrap .btn:hover .popup-wrap .qrcode {
	width: 120px;
	height: 120px;
}
.mobile .float-wrap .btn .popup-wrap .title{
	width: 100%;
	height: 40px;
	background: #4c54e6;
	border-radius: 10px 10px 0px 0px;
	display: flex;
	justify-content: center;
	align-items: center;
	font-size: 16px;
	color: #ffffff;
}
.mobile .float-wrap .btn .popup-wrap .tips{
	font-size: 16px;
	color: #333333;
	margin-bottom: 6px;
}
.mobile .float-wrap .btn .popup-wrap .qrcode {
	margin: 10px 0 6px;
}
.mobile .float-wrap .btn .popup-wrap .content{
	font-size: 16px;
	color: #333333;
	height: 40px;
	font-weight: bold;
	display: flex;
	justify-content: center;
	align-items: center;
}

/* 底部 */
.pc .layout-footer {
	width: 100%;
	height: 425px;
	background-color: #171825;
}

.mobile .layout-footer {
	width: 100%;
	height: 150px;
	background-color: #171825;
}




/* 其他样式 */
.pc .page-title {
	font-size: 50px;
	font-weight: bold;
	line-height: 70px;
	text-align: center;
}
.pc .page-subtitle {
	font-size: 24px;
	line-height: 40px;
	margin-top: 10px;
	text-align: center;
	color: #B6B7BD;
}
.pc .page-route {
	width: 100%;
	height: 50px;
	display: flex;
	justify-content: flex-start;
	align-items: center;
	margin-top: 20px;
	gap: 5px;
	position: sticky;
	top: 70px;
	z-index: 1;
	background: #202231;
}
.pc .page-route .route {
	cursor: pointer;
}
.pc .page-route .route:hover {
	text-decoration: underline;
}
.pc .page-route .route:last-child:hover {
	text-decoration: none;
	cursor: default;
}
.pc .page-tabs {
	display: flex;
	flex-direction: row;
	gap: 1px;
	overflow: hidden;
	position: sticky;
	padding: 0 0 10px;
	top: 120px;
	z-index: 1;
	background: #202231;
}
.pc .page-tabs .tab-item {
	width: 120px;
	height: 50px;
	background: #313341;
	display: flex;
	justify-content: center;
	align-items: center;
	color: #B6B7BD;
	cursor: pointer;
}
.pc .page-tabs .tab-item:first-child {
	border-radius: 6px 0px 0px 6px;
}
.pc .page-tabs .tab-item:last-child {
	border-radius: 0px 6px 6px 0px;
}
.pc .page-tabs .tab-item.active {
	background: #4C54E6;
	color: #ffffff;
}
.pc .page-pagination {
	width: 100%;
	display: flex;
	justify-content: flex-end;
}

.mobile .page-title {
	font-size: 17px;
	font-weight: bold;
	line-height: 40px;
	text-align: center;
}
.mobile .page-subtitle {
	font-size: 13px;
	line-height: 20px;
	text-align: center;
	color: #B6B7BD;
}
.mobile .page-route {
	width: 100%;
	display: flex;
	height: 30px;
	justify-content: flex-start;
	align-items: center;
	margin-top: 10px;
	gap: 5px;
	position: sticky;
	top: 40px;
	z-index: 1;
	background: #202231;
}
.mobile .page-route .route:last-child:hover {
	text-decoration: none;
}
.mobile .page-tabs {
	display: flex;
	flex-direction: row;
	gap: 1px;
	margin-top: 10px;
	padding: 0 0 10px;
	position: sticky;
	top: 70px;
	z-index: 1;
	background: #202231;
}
.mobile .page-tabs .tab-item {
	height: 30px;
	padding: 0 10px;
	background: #313341;
	display: flex;
	justify-content: center;
	align-items: center;
	color: #B6B7BD;
	cursor: pointer;
}
.mobile .page-tabs .tab-item:first-child {
	border-radius: 6px 0px 0px 6px;
}
.mobile .page-tabs .tab-item:last-child {
	border-radius: 0px 6px 6px 0px;
}
.mobile .page-tabs .tab-item.active {
	background: #4C54E6;
	color: #ffffff;
}
.mobile .page-pagination {
	width: 100%;
	display: flex;
	justify-content: flex-end;
}

